Bug 352091 - kazehakase should not depend on specific version of firefox
Summary: kazehakase should not depend on specific version of firefox
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kazehakase (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-25 11:49 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 0.5.0-1.fc9.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 14:08:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-10-25 11:49:48 UTC
Description of problem:

I believe the dependency of the package on specific version of firefox is
incorrect. The package should depend on gecko-lib instead.

Not having the correct dependency makes it harder to track packages that should
be rebuilt when firefox/gecko-libs is rebuilt and causes dependency and possibly
security problems.

Version-Release number of selected component (if applicable):

kazehakase-0:0.4.9-2.fc8.1.i386

Comment 1 Mamoru TASAKA 2007-10-25 12:09:33 UTC
I have strong objection against this.

----------------------------------------------------------
# readelf -S -d /usr/bin/kazehakase  | grep RPATH
 0x0000000f (RPATH)                      Library rpath:
[/usr/lib/kazehakase:/usr/lib/firefox-2.0.0.8]
----------------------------------------------------------

So actually kazehakase expects that libxpcom.so must be under
%_libdir/firefox-2.0.0.8. "gecko-libs = <version>" requirement
is _insufficient_

Comment 2 Mamoru TASAKA 2007-10-25 12:13:25 UTC
Actually I want to write more explicit requirement:
"Requires: %_libdir/firefox-%{FFver}/libxpcom.so" to resolve
rpath issue which rpm cannot treat correctly.

Comment 3 Lubomir Kundrak 2007-10-25 13:56:12 UTC
Please do not do so. File dependencies slow down yum a lot, they trigger
download and parse of filelist.xml. Another thing is that binaries in Fedora
should _not_ use rpaths to look up binaries, but rather install the paths to
/etc/ld.so.conf.d. 

Anyways, this looks to me like a bit of a nonstandard problem, I guess libxpcom
provided by firefox is not meant not be used by other programs, is it? In
future, gecko-libs and libxpcom will be provided by xulrunner. Maybe it would be
more portable if firefox/xulrunner installed their paths in /etc/ld.so.conf.d
and kazehakase depended on gecko-libs.

Comment 4 Mamoru TASAKA 2007-10-25 14:05:43 UTC
(In reply to comment #3)
> Anyways, this looks to me like a bit of a nonstandard problem, I guess libxpcom
> provided by firefox is not meant not be used by other programs, is it? In
> future, gecko-libs and libxpcom will be provided by xulrunner......

So this should be discussed after xulrunner gets enough stable
and we can switch to xulrunner.
At the time gecko maintainers should annouce it first on -devel
list, then discuss how gecko-engine dependent software should be packaged,
then we can change the current packaging.

IMO _currently_ the specific firefox version requirement is more
correct than virtual gecko-libs requirement.



Comment 5 Mamoru TASAKA 2007-10-25 14:06:07 UTC
So reopen this bug when you are ready.

Comment 6 Mamoru TASAKA 2007-10-25 14:12:21 UTC
(In reply to comment #3)
> Another thing is that binaries in Fedora
> should _not_ use rpaths to look up binaries,
If you think so, please fix it first.

Comment 7 Christopher Aillon 2007-10-25 17:20:22 UTC
Hi.  I am the firefox maintainer for Fedora.  I asked lkundrak to file these
bugs.    gecko-libs is actually the correct way to do this.  While it is true
that in theory another package could provide gecko-libs and have different
paths, that will never happen in Fedora, so your argument against that is more
theoretical than anything.

Doing this will make it much easier for me to make the switch to xulrunner, and
will help allow scripting updates.  Please make the change from Requires:
firefox = 2.0.0.8 to Requires: gecko-libs = 1.8.1.8 like most other packages in
the distro.

Comment 8 Mamoru TASAKA 2007-11-08 14:08:20 UTC
Should be fixed by 0.5.0-1.fc9.1.


Note You need to log in before you can comment on or make changes to this bug.